Table of Contents

## Name

XtCallCallbacks, XtCallCallbackList, XtHasCallbacks - process callbacks

## Syntax

void XtCallCallbacks(w, callback_name, call_data)
Widget w;
String callback_name;
XtPointer call_data;

void XtCallCallbackList(w, callbacks, call_data)
Widget w;
XtCallbackList callbacks;
XtPointer call_data;

typedef enum {XtCallbackNoList, XtCallbackHasNone, XtCallbackHasSome} XtCallbackStatus;

XtCallbackStatus XtHasCallbacks(w, callback_name)
Widget w;
String callback_name;

## Arguments

callback_name
  Specifies the callback list to be executed or checked.
call_data
  Specifies a callback-list specific data value to pass to each of the callback procedure in the list.
callbacks
  Specifies the callback list to be executed.
w
  Specifies the widget.

## Description

The XtCallCallbacks function calls each procedure that is registered in the specified widget's callback list.

If callbacks is not NULL, XtCallCallbackList calls each of the callback procedures in the list, passing client data and call_data. The callbacks parameter must specify the contents of a widget or object resource declared with representation type XtRCallback.

The XtHasCallbacks function first checks to see if the widget has a callback list identified by callback_name. If the callback list does not exist, XtHasCallbacks returns XtCallbackNoList. If the callback list exists but is empty, it returns XtCallbackHasNone. If the callback list exists and has at least one callback registered, it returns XtCallbackHasSome.

## See Also

XtAddCallback(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also